#!/bin/bash
#
# Copyright (C) Mellanox Technologies, Ltd. 2008-2016 ALL RIGHTS RESERVED.
#
# This software product is a proprietary product of Mellanox Technologies, Ltd.
# (the "Company") and all right, title, and interest in and to the software product,
# including all associated intellectual property rights, are and shall
# remain exclusively with the Company.
#
# This software product is governed by the End User License Agreement
# provided with the software product.
#


basedir=`readlink -f $0`
basedir=${basedir%/*}

export LD_LIBRARY_PATH=${basedir}/../lib:${basedir}/../lib64

profile=${1:-"eth-single"}
target=${2:-"dvk"}
sdk_applibs_modules=${3:-"all"}
sdk_mode=${4:-"802.1Q"}
max_vlan=${5:-"0"}
acl_search_type=${6:-"SERIAL"}
type=${profile%-*}

ex()
{
	echo "$@"
	eval "$@" || exit 1
}

`pidof sx_sdk > /dev/null`;
if [ $? == "0" ]; then
        echo "Error: could not run evb_start.sh : sx_sdk process is running !"
        exit 1
fi

if [ ${type} == "eth" ]; then
	ex /etc/init.d/sxdkernel start
else
	ex /etc/init.d/openibd start
fi
ex run_resources.sh ${profile} ${target}

ex ${evb_sx_sdk_prefix} sx_sdk ${evb_sx_sdk_suffix} &

ex ${evb_sx_acl_rm_prefix} sx_acl_rm ${evb_sx_acl_rm_suffix} &

sleep 5
ex sync

# If evb_skip_init is not set:
if [ "x$evb_skip_init" == "x" ]; then
	ex run_chassis.sh ${profile} ${sdk_applibs_modules} ${sdk_mode} ${max_vlan} ${acl_search_type}
	ex run_dvs_manager.sh ${profile} ${target} ${sdk_mode} ${max_vlan} 
fi

if [ ${type} != "eth" ]; then
	ex /sbin/modprobe ib_ipoib > /dev/null
fi